Skip to main content
POST
/
documents
/
{documentId}
/
set-owner
Set document owner
curl --request POST \
  --url https://api.vanta.com/v1/documents/{documentId}/set-owner \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "userId": "<string>"
}
'
{
  "id": "1",
  "ownerId": "2",
  "category": "Account setup",
  "description": "Provide two examples of a recent access request and approval ",
  "isSensitive": false,
  "title": "Document Title",
  "uploadStatus": "Needs document",
  "uploadStatusDate": "2024-03-17T00:00:00.000Z",
  "url": "https://example.com"
}

Documentation Index

Fetch the complete documentation index at: https://vanta.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

documentId
string
required

Body

application/json
userId
string | null
required

The new owner ID

Response

200 - application/json

Ok

id
string
required

The document's unique ID.

ownerId
string | null
required

The user ID of the document's owner.

category
enum<string>
required

The document's category.

Available options:
Accounts access,
Account security,
Account setup,
Computers,
Custom,
Data storage,
Employees,
Infrastructure,
IT,
Logging,
Monitoring alerts,
People,
Policies,
Risk analysis,
Software development,
CSPM alert management,
Vendors,
Vulnerability management
description
string
required

The document's description.

isSensitive
boolean
required

Determines whether or not the document is sensitive.

title
string
required

The document's title.

uploadStatus
enum<string>
required

The document's status.

Available options:
Needs document,
Needs update,
Not relevant,
OK
uploadStatusDate
string<date-time> | null
required

The date the document's uploadStatus changed.

url
string | null
required

The URL to view the document within Vanta.